Description

when an error occurred to run puppetca or to generate the tftp files, the error does not show up in the log files when running in

production mode.

Associated revisions

Revision f860d3d0 - 11/09/2009 03:51 AM - Ohad Levy

fixes #74 - tftp and puppet ca errors are not shown in the log file

Revision be1a3fae - 12/10/2009 01:37 AM - Paul Kelly

Fixes #74. Logger messaging works in the proxy module

A logger method was introduced as well as a mechanism for logging if this

code is run as a standalone cgi service

Revision c78e2c68 - 06/27/2016 03:18 AM - Matthias Kneer 

Fixes #74 - Remove unnecessary hash-signes from pool config description to allow proper naming within tools like webmin (#75)

History

#1 - 11/09/2009 04:17 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset f860d3d0f39595dbaf25ab8243fc6c785b02162c.

#2 - 11/17/2009 04:08 PM - Ohad Levy

- Status changed from Ready For Testing to Assigned

this fix wont work as logger is not defined

#3 - 11/17/2009 04:09 PM - Ohad Levy

- % Done changed from 100 to 0

#4 - 12/05/2009 01:20 PM - Ohad Levy

- Assignee changed from Ohad Levy to Paul Kelly

#5 - 12/08/2009 08:40 PM - Paul Kelly

- Status changed from Assigned to Closed

The fix can be found on github.com/pkelly on bug/74
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f860d3d0f39595dbaf25ab8243fc6c785b02162c


#6 - 12/09/2009 01:38 AM - Ohad Levy

- Status changed from Closed to Feedback

your fix always creates a new logger, is this on purpose? (e.g. will it work correctly if the logger already exists?)

#7 - 12/09/2009 06:02 PM - Paul Kelly

I always create a new logger when the application is running as a cgi web service. In this mode there is no persistence so each GET triggers a new

instantiation of the whole GW library. The last call's logger is gone so we need a new one. Well, I think that it works that way.

I am also pretty sure that multiple loggers for one file are OK but don't quote me on it.

#8 - 12/10/2009 02:09 AM - Paul Kelly

- Status changed from Feedback to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset be1a3faea9b2889b44c27e997f038e92abb048a7.

#9 - 12/11/2009 02:51 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
